summarylogtreecommitdiffstats
path: root/texlive-culmus.install
diff options
context:
space:
mode:
Diffstat (limited to 'texlive-culmus.install')
-rw-r--r--texlive-culmus.install33
1 files changed, 33 insertions, 0 deletions
diff --git a/texlive-culmus.install b/texlive-culmus.install
new file mode 100644
index 000000000000..6936a6fb6d09
--- /dev/null
+++ b/texlive-culmus.install
@@ -0,0 +1,33 @@
+UPDMAP="/etc/texmf/web2c/updmap.cfg"
+UPDMAPLOCAL="/etc/texmf/web2c/updmap-local.cfg"
+
+post_install() {
+ echo ">> Running mktexlsr"
+ mktexlsr
+ # also save the map definition to the local cfg file
+ # so it survives an update of a package that regenerates
+ # the main config file, like texlive-fontsextra
+ if ! grep -q "^Map culmus.map$" $UPDMAPLOCAL 2>/dev/null; then
+ echo "Map culmus.map" >> $UPDMAPLOCAL
+ fi
+ # this adds it to the main cfg file $UPDMAP
+ echo ">> Running updmap-sys"
+ updmap-sys --quiet --enable Map=culmus.map
+}
+
+post_upgrade() {
+ echo ">> Running mktexlsr"
+ mktexlsr
+}
+
+post_remove() {
+ echo ">> Running mktexlsr"
+ mktexlsr
+ # remove it from the local file
+ sed '/^Map culmus.map$/d' -i $UPDMAPLOCAL
+ # remove it from the main file and regenerate
+ sed '/^Map culmus.map$/d' -i $UPDMAP
+ echo ">> Running updmap-sys"
+ updmap-sys --quiet
+}
+